function CstTorus (fid,CName,CComponent,CMaterial,CAxis,COuterradius,...
    CInnerradius,CXcenter,CYcenter,CZcenter,CSegments)
global mws torus;


% Funkce CstTorus (fid, CName, CComponent, CMaterial, CAxis, COuterradius,
% CInnerradius, CXcenter, CYcenter, CZcenter, CSegments) slouží k vytvoření
% kruhového prstence. Funkce nemá návratovou hodnotu.

% Parametry funkce:

% fid – soubor identifikující historii CST skriptu.
% CName – jméno kruhového prstence.
% CComponent – jméno komponenty.
% CMaterial – materiál objektu.
% CAxis – osa otočení kruhového prstence může být 'X','Y' nebo 'Z'.
% COuterradius – vnější poloměr kruhového prstence.
% CInnerradius – vnitřní poloměr kruhového prstence.
% CXcenter – umístění kruhového prstence v ose X.
% CYcenter – umístění kruhového prstence v ose Y.
% CZcenter – umístění kruhového prstence v ose Z.
% CSegments – určuje kolik bude mít stran, pro hodnotu 0-2 je koule rotační a pro hodnoty
% segmentu větší než 2 určuje tento parametr kolik bude mít stran.

% Příklad použití funkce:

% fid = fopen('pokus.m', 'wt');
% ...
% CstTorus(fid,'torus1','component1','PEC','Z',1.5,0.5,2,1,0,0);


%Zapis do souboru temp
fprintf(fid, '%% Vytvoreni torus\n');
fprintf(fid, 'torus = mws.invoke(''Torus'');\n');
fprintf(fid, 'torus.invoke(''Reset'');\n');
fprintf(fid, ['torus.invoke(''Name'',''',CName,''');\n']);
fprintf(fid, ['torus.invoke(''Component'',''',CComponent,''');\n']);
fprintf(fid, ['torus.invoke(''Material'',''',CMaterial,''');\n']);
fprintf(fid, ['torus.invoke(''Axis'',''',CAxis,''');\n']);
fprintf(fid, ['torus.invoke(''Outerradius''',',',num2str(COuterradius),');\n']);
fprintf(fid, ['torus.invoke(''Innerradius''',',',num2str(CInnerradius),');\n']);
fprintf(fid, ['torus.invoke(''Xcenter''',',',num2str(CXcenter),');\n']);
fprintf(fid, ['torus.invoke(''Ycenter''',',',num2str(CYcenter),');\n']);
fprintf(fid, ['torus.invoke(''Zcenter''',',',num2str(CZcenter),');\n']);
fprintf(fid, ['torus.invoke(''Segments''',',',num2str(CSegments),');\n']);
fprintf(fid, 'torus.invoke(''Create'');\n');

%Prime vykonani funkce v programu CST
torus = mws.invoke('Torus');
torus.invoke('Reset');
torus.invoke('Name',CName);
torus.invoke('Component',CComponent);
torus.invoke('Material',CMaterial);
torus.invoke('Axis',CAxis);
torus.invoke('Outerradius',COuterradius);
torus.invoke('Innerradius',CInnerradius);
torus.invoke('Xcenter',CXcenter);
torus.invoke('Ycenter',CYcenter);
torus.invoke('Zcenter',CZcenter);
torus.invoke('Segments',CSegments);
torus.invoke('Create');
end